SHR DBus Interface Specification

# org.shr.phoneui.Messages

## Description

The Messages Interface is used to show the different message screens, as the list of messages, a message itself or a screen to write a new message.

## Namespace

`org.shr.phoneui.Messages`

## Methods

- DisplayList
- DisplayMessage
- CreateMessage

## Signals

None

## Errors

None

# Methods

### DisplayList ( a{sv} )

#### Parameters

a{sv}: filter

List of filter attributes to limit the list of messages to be shown.

### DisplayMessage ( s )

#### Parameters

s: path

the DBus path of the message to show

### CreateMessage ( a{sv} )

#### Parameters

a{sv}: values

Values to be prefilled for the new message

| Specified 2009 by the SHR team. | Join us and discuss further drafts shr-devel (at) shr-project (dot) org